Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
Class Groovydoc

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.codehaus.groovy.ant.Groovydoc

All Implemented Interfaces:
  Cloneable

    public class Groovydoc

extends Task

Access to the GroovyDoc tool from Ant.

Version:
  $Id$

Nested Class Summary
`static class` | `Groovydoc.LinkArgument` Represents a link pair (href, packages).

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`Groovydoc()`

Method Summary
`Groovydoc.LinkArgument` | `createLink()` Create link to Javadoc/GroovyDoc output at the given URL.
`void` | `execute()`
`void` | `setDestdir(File dir)` Set the directory where the Javadoc output will be generated.
`void` | `setPackagenames(String packages)` Set the package names to be processed.
`void` | `setPrivate(boolean b)` Indicate whether all classes and members are to be included in the scope processed
`void` | `setSourcepath(Path src)` Specify where to find source file
`void` | `setUse(boolean b)`
`void` | `setWindowtitle(String title)` Set the title to be placed in the HTML <title> tag of the generated documentation.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Groovydoc

    public Groovydoc()

Method Detail

### setSourcepath

    public void setSourcepath(Path src)

  Specify where to find source file

  Parameters:
    `src` - a Path instance containing the various source directories.

### setDestdir

    public void setDestdir(File dir)

  Set the directory where the Javadoc output will be generated.

  Parameters:
    `dir` - the destination directory.

### setPackagenames

    public void setPackagenames(String packages)

  Set the package names to be processed.

  Parameters:
    `packages` - a comma separated list of packages specs (may be wildcarded).

### setUse

    public void setUse(boolean b)

### setWindowtitle

    public void setWindowtitle(String title)

  Set the title to be placed in the HTML <title> tag of the generated documentation.

  Parameters:
    `title` - the window title to use.

### setPrivate

    public void setPrivate(boolean b)

  Indicate whether all classes and members are to be included in the scope processed

  Parameters:
    `b` - true if scope is to be private level.

### execute

    public void execute()
                 throws BuildException

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException`

### createLink

    public Groovydoc.LinkArgument createLink()

  Create link to Javadoc/GroovyDoc output at the given URL.

  Returns:
    link argument to configure

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD